import java.io.*;
import java.util.*;

public class Stavitel {
	
  public void run() throws Exception{
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    int T = Integer.parseInt(in.readLine());
    String line;
    for(int t = 0; t <T ; t++) {
	int N = Integer.parseInt(in.readLine());
	int A[] = new int[N];
	int B[] = new int[N];
	String parts1[] = in.readLine().split(" ");
	String parts2[] = in.readLine().split(" ");
	PriorityQueue<Neco> pqA = new PriorityQueue<Neco>();
	PriorityQueue<Neco> pqB = new PriorityQueue<Neco>();
	TreeMap<Integer,Neco> tmA = new TreeMap<Integer,Neco>();
	TreeMap<Integer,Neco> tmB = new TreeMap<Integer,Neco>();

	for(int i = 0; i < N; i++) {
	  A[i] = Integer.parseInt(parts1[i]);
	  B[i] = Integer.parseInt(parts2[i]);

	  if(tmA.containsKey(A[i])) tmA.get(A[i]).count++;
	  else {
	 	Neco a = new Neco();
		a.height = A[i];
		pqA.add(a);
		tmA.put(A[i],a);
	  }
	  if(tmB.containsKey(B[i])) tmB.get(B[i]).count++;
	  else {
	 	Neco b = new Neco();
		b.height = A[i];
		pqB.add(b);
		tmB.put(B[i],b);
	  }
	}

int L = 0, M = 0;
	int covA = 0;
	int covB = 0;

	while(!pqA.isEmpty() && !pqB.isEmpty()){
		Neco nA = pqA.poll();
		Neco nB = pqB.poll();

		if(nA.count > 0){
			int cA = nA.count;
			int cB = nB.count;
			int he = nA.height;

			L += Math.max(cA - covA, cB - covB) * he;
			covA = cA;
			covB = cB;
		}
	}



	
	for(int i = 0; i< N; i++) {
	  for(int j = 0; j < N; j++) {
		M += A[i]*B[j];
	
	  }
	}

	System.out.printf("Minimalni budova obsahuje %d kostek, maximalni %d kostek.\n", M, L);

	
    }

}

  public static void main(String args[]) throws Exception {
    	new Stavitel().run();
  }

  class Neco implements Comparable<Neco> {
	int height = -1;
	int count = 1;
	public int compareTo(Neco other) { return other.height - this.height; }
	public boolean equals(Neco other) { return this.height == other.height; }
  }
}
